Description

Some WMS servers have a limit on the maximum image size they serve.

These sizes are (optionally) announced in the capabilities document, tags MaxWidth and MaxHeight, see the OGC xsd at 

http://schemas.opengis.net/wms/1.3.0/capabilities_1_3_0.xsd .

When sizes are not explicitly set by the user to a supported value errors in plotting and printing occur, see #3768 .

QGIS should use the MaxHeight and MaxWidth capabilities values (if present) as the default for the "tile size" option in the "Add WMS

layer" dialog, and possibly also warn on entering sizes that are too large.

Associated revisions

Revision b5d0c750 - 2018-06-27 06:16 PM - Jürgen Fischer

wms provider: avoid exceeding server limits by tiling the requests (implements #19150)

History

#1 - 2018-06-08 12:00 PM - Tilman Brock-Hesse

- File qgis-tilesize-lbeg.png added

See attached screenshot for the UI fields mentioned.

#2 - 2018-06-27 11:01 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b5d0c75027c8a30ca000ac061a5466f1c6287d1c.

#3 - 2018-08-06 10:15 AM - Oliver Tonnhofer

Won't this slow down normal map movement (pan/zoom) for servers that allow large prints? If the server advertises a MaxWidth and MaxHeight of 10.000

pixels, then QGIS will make HUGE tile requests. Or am I missing something?

Files

qgis-tilesize-lbeg.png 84.2 KB 2018-06-08 Tilman Brock-Hesse
